Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359128 - 'Test email' button creates error-alert with outdated CSS class
Summary: 'Test email' button creates error-alert with outdated CSS class
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 11:27 UTC by Roman Plevka
Modified: 2019-04-01 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC


Attachments (Terms of Use)
email alert glitch (deleted)
2016-07-22 11:29 UTC, Roman Plevka
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17332 None None None 2016-12-25 21:15:12 UTC

Description Roman Plevka 2016-07-22 11:27:31 UTC
Description of problem:
on error during sending a test email, a popup error notification is displayed with outdated css class ('alert-error' instead of 'alert-danger') causing the notification to miss the styling and misbehave (does not disappear)
See screenshot.


Version-Release number of selected component (if applicable):
6.2.0 snap21.2

Steps to Reproduce:
administer -> users -> click any user -> email preferences -> click 'test email'

Actual results:
improperly styled notification

Comment 1 Roman Plevka 2016-07-22 11:29:10 UTC
Created attachment 1182822 [details]
email alert glitch

Comment 3 Tomer Brisker 2016-12-25 21:15:10 UTC
Connecting redmine issue http://projects.theforeman.org/issues/17332 from this bug

Comment 4 Bryan Kearney 2016-12-25 23:05:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17332 has been resolved.

Comment 5 Daniel Lobato Garcia 2017-01-27 08:42:23 UTC
Setting as triaged as there's a fix already upstream

Comment 7 Roman Plevka 2017-08-30 12:53:13 UTC
VERIFIED
on sat6.3.0 snap#13
the notification is now properly styled

Comment 8 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.